Solid Edge Part Type Library
SetReflectivePlane Method
Description
This method is added to turn ON individual reflective plane(i.e. Top\Front\Right) and apply distance to the same which is similar to checked box at Model Reflective Display Dialogue in Solid Edge UI.
Syntax
Visual Basic
Public Sub SetReflectivePlane( _
   ByVal ReflectivePlane As ReflectivePlaneConstants, _
   ByVal bStatus As Boolean, _
   ByVal dDistance As Double _
) 
Parameters
ReflectivePlane
ValueDescription
igFrontPlane
igFrontPlaneDistance
igReflectivePlane
igRightPlane
igRightPlaneDistance
igTopPlane
igTopPlaneDistance
igTransparency
igTransparencyValue
bStatus
dDistance
Example
Public Class frmReflectiveDisplay

    Private Sub ReflectivePlane_Click(sender As System.Object, e As System.EventArgs) Handles ReflectivePlane.Click
        Dim objSheetMetalDoc As SolidEdgePart.SheetMetalDocument = Nothing
        Dim objProfile As SolidEdgePart.Profile = Nothing
        Dim sketch As SolidEdgePart.Sketch = Nothing
        Dim objPoint As SolidEdgeFrameworkSupport.Point2d = Nothing
        Dim objOrientation As SolidEdgeFrameworkSupport.Line2d = Nothing
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objPointOut As SolidEdgeFrameworkSupport.Point2d = Nothing
        Dim objOrientationOut As SolidEdgeFrameworkSupport.Line2d = Nothing
        Dim bStatus As Boolean = False
        Dim dDistance As Double = 0
        Dim iTransparency As Integer = 30

        ' Create/get the application with specific settings
        objApp = GetObject(, "SolidEdge.Application")
        If Err.Number() Or objApp Is Nothing Then
            MessageBox.Show("Could not get application.")
        End If

        ' open the document mentioned in the doc files.
        objSheetMetalDoc = objApp.Documents.Open("C:\ReflectivePlane.psm")
        If Err.Number() Or objSheetMetalDoc Is Nothing Then
            MessageBox.Show("Could not open document ")
        End If

        objSheetMetalDoc.ActivateReflectivePlane()

        objSheetMetalDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igTopPlane, True, 0.3)
        objSheetMetalDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igRightPlane, True, 0.4)
        objSheetMetalDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igFrontPlane, True, 0.5)

        objSheetMetalDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igTopPlane, bStatus, dDistance)
        objSheetMetalDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igRightPlane, bStatus, dDistance)
        objSheetMetalDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igFrontPlane, bStatus, dDistance)

        objSheetMetalDoc.SetReflectivePlaneTransparency(True, iTransparency)
        objSheetMetalDoc.GetReflectivePlaneTransparency(bStatus, iTransparency)
    End Sub

End Class
See Also

SheetMetalDocument Object  | SheetMetalDocument Members